/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.ArchetypesInColor;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 *@alias MomentInterval
 */
public class MomentInterval1 {
    public int makeMomentInterval() {
        return -1;
    }

    public void addDetail() {
    }

    public void calcTotal() {
    }

    public void recalcTotal() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public void mi_generateNext() {
    }

    public void mi_assessWRTPrior() {
    }

    public void mi_assessWRTNext() {
    }

    public void mi_comparePlanVsActual() {
    }

    public static int listMIs() {
        return -1;
    }

    public static int assessAcrossMIs() {
        return -1;
    }

    /**
     *@shapeType AggregationLink
     *    @associates <b>MIDetail2</b>
     */
    private Vector lnkUnnamed;
}


